Subject: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it

From: Paul Eggert <[email-masked]>
Date: Fri, 07 Sep 2012 21:42:26 -0700

On 09/07/2012 08:06 PM, Linda Walsh wrote:

> The shell is one of the things I'm trying not
> to have a dependency on.

That sounds unnecessarily impractical.  It's been
decades since I used a system that had 'rm' but
didn't have a shell that could solve this problem easily.

By the way, Alan, that was a nice trip down memory lane!
I've *used* all those 'rm' implementations.  I'm even old
enough to remember when 'rm' automatically refused to
remove itself.

> You don't think I'm being reasonable by agreeing and saying
> a non default environment var?

No, because then currently-working scripts might have
to be changed to guard against that variable being set.

Clearly you don't agree with the POSIX rationale.
Reasonable people can disagree, and then move on.
The nice thing about free software is that you can
build your system the way you like.  You don't have
to convert the rest of us.